%global debug_package %{nil}

Name:           oracle-gluster-release-el8
Version:        1.0
Release:        3%{dist}
Summary:        Gluster yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-gluster-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el8
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the  Gluster yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%post
instance_command='curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/'
yumvars_dir=/etc/yum/vars
if [ ! -f $yumvars_dir/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > $yumvars_dir/ociregion
   echo oracle.com > $yumvars_dir/ocidomain
 else
  instance_region=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep regionIdentifier | awk -F\: '{print $2}' | sed -e 's/\"//g' -e 's/ //g' -e 's/,//g')
  instance_domain=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep realmDomainComponent | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
  instance_realm=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2>/dev/null | grep realmKey | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
  if [ -z "$instance_region" -o -z "$instance_domain" ]; then
    echo > $yumvars_dir/ociregion
    echo oracle.com > $yumvars_dir/ocidomain
  else
    if curl -sfm 25 http://yum-${instance_region}.oracle.com &> /dev/null || curl -sfm 25 https://yum.${instance_region}.oci.${instance_domain} &> /dev/null; then
        echo oci.$instance_domain > $yumvars_dir/ocidomain
        echo ".$instance_region" > $yumvars_dir/ociregion
    else
        echo > $yumvars_dir/ociregion
        echo oracle.com > $yumvars_dir/ocidomain
     fi
  fi
 fi
fi

if [ ! -f $yumvars_dir/ocidomain ]; then
   (http_proxy="";$instance_command -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
    if [ $? != 0 ]; then
      echo oracle.com > $yumvars_dir/ocidomain
    else
     instance_domain=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2> /dev/null | grep realmDomainComponent | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
     instance_realm=$(http_proxy="";$instance_command -H "Authorization: Bearer Oracle" -s 2>/dev/null | grep realmKey | awk -F: '{print $2}' | sed -e 's/"//g' -e 's/,//g' -e 's/^\s//g')
       if [ -z $instance_domain ]; then
         echo oracle.com > $yumvars_dir/ocidomain
       elif [[ -n $instance_realm ]]; then
          echo oci.$instance_domain > $yumvars_dir/ocidomain
       else
          echo oracle.com > $yumvars_dir/ocidomain
       fi
    fi
fi

%changelog
* Wed Apr 05 2023 Alex Burmashev <alexander.burmashev@oracle.com> 1.0-3
- Use $ocidomain instead of hardcoded .oracle.com [Orabug: 35256560]
- Update post scripts to support new self-service DNS hostnames [JIRA: OLDIS-22726]

* Wed Mar 4 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Fixed repo file entry

* Tue Mar 3 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

